/**
 * @desc 查询
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: string
}

export const init = new defs.ResultDictVo()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/dict/find',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
